/* ====================================
   = Source code to Assignment 3 Q2   =
   = Suitable for .NET 2005 + vtk 5.0 =
   = (c) Burkhard Wuensche            =
   = September 2006                   =
   ==================================== */

// First include the required header files for the VTK classes we are using.
// These file should be sufficient to complete the assignment but if you want to
// use additional VTK classes please feel free to do so
#include "vtkCylinderSource.h"
#include "vtkCubeSource.h"
#include "vtkPolyDataMapper.h"
#include "vtkRenderWindow.h"
#include "vtkRenderWindowInteractor.h"
#include "vtkCamera.h"
#include "vtkActor.h"
#include "vtkRenderer.h"
#include "vtkInteractorStyleTrackballCamera.h"
#include "vtkProperty.h"
#include "vtkTransform.h"
#include "vtkTransformPolyDataFilter.h"
#include "vtkPolyDataReader.h"
#include "vtkPolyDataNormals.h"

int main( int argc, char *argv[] )
{
  // UDOO: create cylinders and cube, map them to polygons, translate and scale them 
  // and define properties

  // Read a data file. This originally was a Cyberware laser digitizer scan 
  // of Fran J.'s face. Surface normals are generated based on local geometry
  // (i.e., the polygon normals surrounding mesh points are averaged). We flip
  // the normals because we want them to point out from Fran's face.
  vtkPolyDataReader *face= vtkPolyDataReader::New();
  face->SetFileName("fran_cut.vtk");
  vtkPolyDataNormals *normals= vtkPolyDataNormals::New();
  normals->SetInput(face->GetOutput());
  normals->FlipNormalsOn();
  vtkPolyDataMapper *faceMapper= vtkPolyDataMapper::New();
  faceMapper->SetInput(normals->GetOutput());

  // UDOO: create an actor, set properties and define transformations 


  // UDOO: Create the Renderer and assign actors to it. A renderer is like a
  // viewport. It is part or all of a window on the screen and it is
  // responsible for drawing the actors it has.  We also set the background
  // color here.
  

  // UDOO: create the render window with the name 'renWin'
  // Put the renderers into the render window using AddRenderer. 
  // Set the size to be 300 pixels by 300.


  // UDOO: create a vtkRenderWindowInteractor 

  // UDOO: add a trackball camera 

  // UDOO: call "Initialize()" and "Start()" method
  
  // Free up any objects you created. All instances in VTK are deleted by
  // using the Delete() method.
 
  return 0;
}


